org.apache.hadoop.registry.client.impl

## Class RegistryOperationsClient

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.service.CompositeService
    - - org.apache.hadoop.registry.client.impl.zk.CuratorService
      - - org.apache.hadoop.registry.client.impl.zk.RegistryOperationsService
        - - org.apache.hadoop.registry.client.impl.RegistryOperationsClient

- All Implemented Interfaces:
    Closeable, AutoCloseable, RegistryConstants, RegistryOperations, RegistryBindingSource, org.apache.hadoop.service.Service

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class RegistryOperationsClient
      extends RegistryOperationsService

  This is the client service for applications to work with the registry. It does not set up the root paths for the registry, is bonded to a user, and can be set to use SASL, anonymous or id:pass auth. For SASL, the client must be operating in the context of an authed user. For id:pass the client must have the relevant id and password, SASL is not used even if the client has credentials. For anonymous, nothing is used. Any SASL-authed client also has the ability to add one or more authentication id:pass pair on all future writes, and to reset them later.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.service.CompositeService

      `org.apache.hadoop.service.CompositeService.CompositeServiceShutdownHook`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.service.CompositeService

      `STOP_ONLY_STARTED_SERVICES`

    - ### Fields inherited from interface org.apache.hadoop.registry.client.api.RegistryConstants

      `DEFAULT_DNS_ENABLED, DEFAULT_DNS_PORT, DEFAULT_DNS_SPLIT_REVERSE_ZONE, DEFAULT_DNSSEC_PRIVATE_KEY_FILE, DEFAULT_REGISTRY_CLIENT_JAAS_CONTEXT, DEFAULT_REGISTRY_SECURE, DEFAULT_REGISTRY_SYSTEM_ACCOUNTS, DEFAULT_REGISTRY_USER_ACCOUNTS, DEFAULT_REGISTRY_ZK_QUORUM, DEFAULT_ZK_CONNECTION_TIMEOUT, DEFAULT_ZK_REGISTRY_ROOT, DEFAULT_ZK_RETRY_CEILING, DEFAULT_ZK_RETRY_INTERVAL, DEFAULT_ZK_RETRY_TIMES, DEFAULT_ZK_SESSION_TIMEOUT, DNS_PREFIX, KEY_DNS_BIND_ADDRESS, KEY_DNS_DOMAIN, KEY_DNS_ENABLED, KEY_DNS_PORT, KEY_DNS_SPLIT_REVERSE_ZONE, KEY_DNS_SPLIT_REVERSE_ZONE_RANGE, KEY_DNS_TTL, KEY_DNS_ZONE_IP_MAX, KEY_DNS_ZONE_IP_MIN, KEY_DNS_ZONE_MASK, KEY_DNS_ZONE_SUBNET, KEY_DNS_ZONES_DIR, KEY_DNSSEC_ENABLED, KEY_DNSSEC_PRIVATE_KEY_FILE, KEY_DNSSEC_PUBLIC_KEY, KEY_REGISTRY_CLIENT_AUTH, KEY_REGISTRY_CLIENT_AUTHENTICATION_ID, KEY_REGISTRY_CLIENT_AUTHENTICATION_PASSWORD, KEY_REGISTRY_CLIENT_JAAS_CONTEXT, KEY_REGISTRY_KERBEROS_REALM, KEY_REGISTRY_SECURE, KEY_REGISTRY_SYSTEM_ACCOUNTS, KEY_REGISTRY_USER_ACCOUNTS, KEY_REGISTRY_ZK_CONNECTION_TIMEOUT, KEY_REGISTRY_ZK_QUORUM, KEY_REGISTRY_ZK_RETRY_CEILING, KEY_REGISTRY_ZK_RETRY_INTERVAL, KEY_REGISTRY_ZK_RETRY_TIMES, KEY_REGISTRY_ZK_ROOT, KEY_REGISTRY_ZK_SESSION_TIMEOUT, MAX_FQDN_LABEL_LENGTH, PATH_SYSTEM_SERVICES, PATH_USER_SERVICES, PATH_USERS, REGISTRY_CLIENT_AUTH_ANONYMOUS, REGISTRY_CLIENT_AUTH_DIGEST, REGISTRY_CLIENT_AUTH_KERBEROS, REGISTRY_CLIENT_AUTH_SIMPLE, REGISTRY_PREFIX, SUBPATH_COMPONENTS, ZK_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryOperationsClient(String name)`
    `RegistryOperationsClient(String name, RegistryBindingSource bindingSource)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.registry.client.impl.zk.RegistryOperationsService

      `bind, delete, exists, getClientAcls, list, mknode, resolve, stat, validatePath`

    - ### Methods inherited from class org.apache.hadoop.registry.client.impl.zk.CuratorService

      `addWriteAccessor, bindingDiagnosticDetails, buildConnectionString, buildSecurityDiagnostics, clearWriteAccessors, createEnsembleProvider, createFullPath, dumpPath, dumpRegistryRobustly, getBindingSource, getRegistrySecurity, isSecure, maybeCreate, monitorRegistryEntries, operationFailure, operationFailure, registerPathListener, serviceInit, serviceStart, serviceStop, setKerberosPrincipalAndKeytab, supplyBindingInformation, toString, zkCreate, zkDelete, zkGetACLS, zkList, zkMkParentPath, zkMkPath, zkPathExists, zkPathMustExist, zkRead, zkSet, zkStat, zkUpdate`

    - ### Methods inherited from class org.apache.hadoop.service.CompositeService

      `addIfService, addService, getServices, removeService`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.registry.client.api.RegistryOperations

      `addWriteAccessor, clearWriteAccessors`

    - ### Methods inherited from interface org.apache.hadoop.service.Service

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, registerServiceListener, start, stop, unregisterServiceListener, waitForServiceToStop`

- - ### Constructor Detail

    - #### RegistryOperationsClient

          public RegistryOperationsClient(String name)

    - #### RegistryOperationsClient

          public RegistryOperationsClient(String name,
                                          RegistryBindingSource bindingSource)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.